# Edit a Comment Edits the comment specified as the path param. Replaces the comment with the text provided in the request body. With each edit, the version number is incremented by 1. The comment metadata includes timestamps for creation and last update, along with the author of each change. If a reply is added to a resolved thread, the thread automatically changes to an unresolved state. Endpoint: POST /commentmanager.edit/{typedId} Security: basic, X-PriceFx-jwt ## Path parameters: - `typedId` (string, required) typedId of the comment you want to edit. Example: "12.CMNT" ## Request fields (application/json): - `data` (object) - `data.body` (string) Specify the new text content of the comm ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.data` (array) - `response.data.typedId` (string) - `response.data.comments` (array) - `response.data.comments.createdBy` (integer) - `response.data.comments.lastUpdateDate` (string) - `response.data.comments.body` (string) - `response.data.comments.version` (integer) - `response.data.comments.createDate` (string) - `response.data.comments.lastUpdateBy` (integer) - `response.data.relatedObjects` (array) A transient list of strings representing the identifiers of related objects. This attribute is derived from the relations attribute. - `response.data.resolved` (boolean) - `response.status` (integer)